it-swarm-ja.com

Ubuntu 10.04でmod_wsgiを最新バージョンに更新する方法は?

私のUbuntuサーバーにはこのバージョンがインストールされています:

# dpkg -l | grep wsgi
ii  libapache2-mod-wsgi  2.8-2ubuntu1  Python WSGI adapter module for Apache

最新バージョン3. を取得するにはどうすればよいですか?

4
webjunkie

ダウンロードしてコンパイルします。ソースパッケージにはかなり良いREADMEがあります。ただし、build-essentialをコンパイルするための基本システムをインストールすることから始めて、READMEに従うだけです。

2
LassePoulsen

須藤apt-get build-dep libapache2-mod-wsgi

そして、readmeを読んでソースからビルドできます

1
sagarchalise

Debianには libapache2-mod-wsgi がありますが、これはUbuntu 10.04では動作しません。これは、10.04用のパッケージがないlibpython2.7に依存しているためです。

ソースを here からダウンロードしました:

$ wget http://modwsgi.googlecode.com/files/mod_wsgi-3.3.tar.gz

それからちょうど

./configure
make
Sudo make install
1
David Xia

python 2.7用にmod_wsgiをインストールしました。 2.7をアンインストールして3.6(my python version)をインストールするために以下のコマンドを実行しました。

Sudo apt-get install libapache2-mod-wsgi
0
esafresa

私のために働いたのはこれを実行していた:

Sudo aptitude install libapache2-mod-wsgi
0
user434136